Kea: isc::dhcp::Dhcp4Parser::token Struct Reference

| Kea 3.2.0-git

isc::dhcp::Dhcp4Parser::token Struct Reference

Token kinds. More...

`#include <dhcp4_parser.h>`

## Public Types
enum | token_kind_type { TOKEN_PARSER4_EMPTY = -2 , TOKEN_END = 0 , TOKEN_PARSER4_error = 256 , TOKEN_PARSER4_UNDEF = 257 , TOKEN_COMMA = 258 , TOKEN_COLON = 259 , TOKEN_LSQUARE_BRACKET = 260 , TOKEN_RSQUARE_BRACKET = 261 , TOKEN_LCURLY_BRACKET = 262 , TOKEN_RCURLY_BRACKET = 263 , TOKEN_NULL_TYPE = 264 , TOKEN_DHCP4 = 265 , TOKEN_CONFIG_CONTROL = 266 , TOKEN_CONFIG_DATABASES = 267 , TOKEN_CONFIG_FETCH_WAIT_TIME = 268 , TOKEN_INTERFACES_CONFIG = 269 , TOKEN_INTERFACES = 270 , TOKEN_DHCP_SOCKET_TYPE = 271 , TOKEN_RAW = 272 , TOKEN_UDP = 273 , TOKEN_OUTBOUND_INTERFACE = 274 , TOKEN_SAME_AS_INBOUND = 275 , TOKEN_USE_ROUTING = 276 , TOKEN_RE_DETECT = 277 , TOKEN_SERVICE_SOCKETS_REQUIRE_ALL = 278 , TOKEN_SERVICE_SOCKETS_RETRY_WAIT_TIME = 279 , TOKEN_SERVICE_SOCKETS_MAX_RETRIES = 280 , TOKEN_SANITY_CHECKS = 281 , TOKEN_LEASE_CHECKS = 282 , TOKEN_EXTENDED_INFO_CHECKS = 283 , TOKEN_ECHO_CLIENT_ID = 284 , TOKEN_MATCH_CLIENT_ID = 285 , TOKEN_AUTHORITATIVE = 286 , TOKEN_NEXT_SERVER = 287 , TOKEN_SERVER_HOSTNAME = 288 , TOKEN_BOOT_FILE_NAME = 289 , TOKEN_OFFER_LFT = 290 , TOKEN_STASH_AGENT_OPTIONS = 291 , TOKEN_LEASE_DATABASE = 292 , TOKEN_HOSTS_DATABASE = 293 , TOKEN_HOSTS_DATABASES = 294 , TOKEN_TYPE = 295 , TOKEN_USER = 296 , TOKEN_PASSWORD = 297 , TOKEN_HOST = 298 , TOKEN_PORT = 299 , TOKEN_PERSIST = 300 , TOKEN_LFC_INTERVAL = 301 , TOKEN_READONLY = 302 , TOKEN_CONNECT_TIMEOUT = 303 , TOKEN_READ_TIMEOUT = 304 , TOKEN_WRITE_TIMEOUT = 305 , TOKEN_TCP_USER_TIMEOUT = 306 , TOKEN_MAX_RECONNECT_TRIES = 307 , TOKEN_RECONNECT_WAIT_TIME = 308 , TOKEN_ON_FAIL = 309 , TOKEN_STOP_RETRY_EXIT = 310 , TOKEN_SERVE_RETRY_EXIT = 311 , TOKEN_SERVE_RETRY_CONTINUE = 312 , TOKEN_RETRY_ON_STARTUP = 313 , TOKEN_MAX_ROW_ERRORS = 314 , TOKEN_TRUST_ANCHOR = 315 , TOKEN_CERT_FILE = 316 , TOKEN_KEY_FILE = 317 , TOKEN_SSL_MODE = 318 , TOKEN_DISABLE = 319 , TOKEN_PREFER = 320 , TOKEN_REQUIRE = 321 , TOKEN_VERIFY_CA = 322 , TOKEN_VERIFY_FULL = 323 , TOKEN_CIPHER_LIST = 324 , TOKEN_VALID_LIFETIME = 325 , TOKEN_MIN_VALID_LIFETIME = 326 , TOKEN_MAX_VALID_LIFETIME = 327 , TOKEN_RENEW_TIMER = 328 , TOKEN_REBIND_TIMER = 329 , TOKEN_CALCULATE_TEE_TIMES = 330 , TOKEN_T1_PERCENT = 331 , TOKEN_T2_PERCENT = 332 , TOKEN_CACHE_THRESHOLD = 333 , TOKEN_CACHE_MAX_AGE = 334 , TOKEN_ADAPTIVE_LEASE_TIME_THRESHOLD = 335 , TOKEN_DECLINE_PROBATION_PERIOD = 336 , TOKEN_SERVER_TAG = 337 , TOKEN_STATISTIC_DEFAULT_SAMPLE_COUNT = 338 , TOKEN_STATISTIC_DEFAULT_SAMPLE_AGE = 339 , TOKEN_DDNS_SEND_UPDATES = 340 , TOKEN_DDNS_OVERRIDE_NO_UPDATE = 341 , TOKEN_DDNS_OVERRIDE_CLIENT_UPDATE = 342 , TOKEN_DDNS_REPLACE_CLIENT_NAME = 343 , TOKEN_DDNS_GENERATED_PREFIX = 344 , TOKEN_DDNS_QUALIFYING_SUFFIX = 345 , TOKEN_DDNS_UPDATE_ON_RENEW = 346 , TOKEN_DDNS_USE_CONFLICT_RESOLUTION = 347 , TOKEN_DDNS_TTL_PERCENT = 348 , TOKEN_DDNS_TTL = 349 , TOKEN_DDNS_TTL_MIN = 350 , TOKEN_DDNS_TTL_MAX = 351 , TOKEN_STORE_EXTENDED_INFO = 352 , TOKEN_SUBNET4 = 353 , TOKEN_SUBNET_4O6_INTERFACE = 354 , TOKEN_SUBNET_4O6_INTERFACE_ID = 355 , TOKEN_SUBNET_4O6_SUBNET = 356 , TOKEN_OPTION_DEF = 357 , TOKEN_OPTION_DATA = 358 , TOKEN_NAME = 359 , TOKEN_DATA = 360 , TOKEN_CODE = 361 , TOKEN_SPACE = 362 , TOKEN_CSV_FORMAT = 363 , TOKEN_ALWAYS_SEND = 364 , TOKEN_NEVER_SEND = 365 , TOKEN_RECORD_TYPES = 366 , TOKEN_ENCAPSULATE = 367 , TOKEN_ARRAY = 368 , TOKEN_PARKED_PACKET_LIMIT = 369 , TOKEN_ALLOCATOR = 370 , TOKEN_DDNS_CONFLICT_RESOLUTION_MODE = 371 , TOKEN_CHECK_WITH_DHCID = 372 , TOKEN_NO_CHECK_WITH_DHCID = 373 , TOKEN_CHECK_EXISTS_WITH_DHCID = 374 , TOKEN_NO_CHECK_WITHOUT_DHCID = 375 , TOKEN_SHARED_NETWORKS = 376 , TOKEN_POOLS = 377 , TOKEN_POOL = 378 , TOKEN_USER_CONTEXT = 379 , TOKEN_COMMENT = 380 , TOKEN_SUBNET = 381 , TOKEN_INTERFACE = 382 , TOKEN_ID = 383 , TOKEN_RESERVATIONS_GLOBAL = 384 , TOKEN_RESERVATIONS_IN_SUBNET = 385 , TOKEN_RESERVATIONS_OUT_OF_POOL = 386 , TOKEN_HOST_RESERVATION_IDENTIFIERS = 387 , TOKEN_CLIENT_CLASSES = 388 , TOKEN_REQUIRE_CLIENT_CLASSES = 389 , TOKEN_EVALUATE_ADDITIONAL_CLASSES = 390 , TOKEN_TEST = 391 , TOKEN_TEMPLATE_TEST = 392 , TOKEN_ONLY_IF_REQUIRED = 393 , TOKEN_ONLY_IN_ADDITIONAL_LIST = 394 , TOKEN_CLIENT_CLASS = 395 , TOKEN_POOL_ID = 396 , TOKEN_RESERVATIONS = 397 , TOKEN_IP_ADDRESS = 398 , TOKEN_DUID = 399 , TOKEN_HW_ADDRESS = 400 , TOKEN_CIRCUIT_ID = 401 , TOKEN_CLIENT_ID = 402 , TOKEN_HOSTNAME = 403 , TOKEN_FLEX_ID = 404 , TOKEN_RELAY = 405 , TOKEN_IP_ADDRESSES = 406 , TOKEN_HOOKS_LIBRARIES = 407 , TOKEN_LIBRARY = 408 , TOKEN_PARAMETERS = 409 , TOKEN_EXPIRED_LEASES_PROCESSING = 410 , TOKEN_RECLAIM_TIMER_WAIT_TIME = 411 , TOKEN_FLUSH_RECLAIMED_TIMER_WAIT_TIME = 412 , TOKEN_HOLD_RECLAIMED_TIME = 413 , TOKEN_MAX_RECLAIM_LEASES = 414 , TOKEN_MAX_RECLAIM_TIME = 415 , TOKEN_UNWARNED_RECLAIM_CYCLES = 416 , TOKEN_DHCP4O6_PORT = 417 , TOKEN_DHCP_MULTI_THREADING = 418 , TOKEN_ENABLE_MULTI_THREADING = 419 , TOKEN_THREAD_POOL_SIZE = 420 , TOKEN_PACKET_QUEUE_SIZE = 421 , TOKEN_CONTROL_SOCKET = 422 , TOKEN_CONTROL_SOCKETS = 423 , TOKEN_SOCKET_TYPE = 424 , TOKEN_UNIX = 425 , TOKEN_HTTP = 426 , TOKEN_HTTPS = 427 , TOKEN_SOCKET_NAME = 428 , TOKEN_SOCKET_ADDRESS = 429 , TOKEN_SOCKET_PORT = 430 , TOKEN_AUTHENTICATION = 431 , TOKEN_BASIC = 432 , TOKEN_REALM = 433 , TOKEN_DIRECTORY = 434 , TOKEN_CLIENTS = 435 , TOKEN_USER_FILE = 436 , TOKEN_PASSWORD_FILE = 437 , TOKEN_CERT_REQUIRED = 438 , TOKEN_HTTP_HEADERS = 439 , TOKEN_VALUE = 440 , TOKEN_DHCP_QUEUE_CONTROL = 441 , TOKEN_ENABLE_QUEUE = 442 , TOKEN_QUEUE_TYPE = 443 , TOKEN_CAPACITY = 444 , TOKEN_DHCP_DDNS = 445 , TOKEN_ENABLE_UPDATES = 446 , TOKEN_SERVER_IP = 447 , TOKEN_SERVER_PORT = 448 , TOKEN_SENDER_IP = 449 , TOKEN_SENDER_PORT = 450 , TOKEN_MAX_QUEUE_SIZE = 451 , TOKEN_NCR_PROTOCOL = 452 , TOKEN_NCR_FORMAT = 453 , TOKEN_TCP = 454 , TOKEN_JSON = 455 , TOKEN_WHEN_PRESENT = 456 , TOKEN_NEVER = 457 , TOKEN_ALWAYS = 458 , TOKEN_WHEN_NOT_PRESENT = 459 , TOKEN_HOSTNAME_CHAR_SET = 460 , TOKEN_HOSTNAME_CHAR_REPLACEMENT = 461 , TOKEN_EARLY_GLOBAL_RESERVATIONS_LOOKUP = 462 , TOKEN_IP_RESERVATIONS_UNIQUE = 463 , TOKEN_RESERVATIONS_LOOKUP_FIRST = 464 , TOKEN_LOGGERS = 465 , TOKEN_OUTPUT_OPTIONS = 466 , TOKEN_OUTPUT = 467 , TOKEN_DEBUGLEVEL = 468 , TOKEN_SEVERITY = 469 , TOKEN_FLUSH = 470 , TOKEN_MAXSIZE = 471 , TOKEN_MAXVER = 472 , TOKEN_PATTERN = 473 , TOKEN_COMPATIBILITY = 474 , TOKEN_LENIENT_OPTION_PARSING = 475 , TOKEN_IGNORE_DHCP_SERVER_ID = 476 , TOKEN_IGNORE_RAI_LINK_SEL = 477 , TOKEN_EXCLUDE_FIRST_LAST_24 = 478 , TOKEN_TOPLEVEL_JSON = 479 , TOKEN_TOPLEVEL_DHCP4 = 480 , TOKEN_SUB_DHCP4 = 481 , TOKEN_SUB_INTERFACES4 = 482 , TOKEN_SUB_SUBNET4 = 483 , TOKEN_SUB_POOL4 = 484 , TOKEN_SUB_RESERVATION = 485 , TOKEN_SUB_OPTION_DEFS = 486 , TOKEN_SUB_OPTION_DEF = 487 , TOKEN_SUB_OPTION_DATA = 488 , TOKEN_SUB_HOOKS_LIBRARY = 489 , TOKEN_SUB_DHCP_DDNS = 490 , TOKEN_SUB_CONFIG_CONTROL = 491 , TOKEN_STRING = 492 , TOKEN_INTEGER = 493 , TOKEN_FLOAT = 494 , TOKEN_BOOLEAN = 495 }
typedef token_kind_type | yytokentype
| Backward compatibility alias (Bison 3.6).

## Detailed Description

Token kinds.

Definition at line 496 of file dhcp4_parser.h.

## Member Typedef Documentation

## ◆ yytokentype

typedef token_kind_type isc::dhcp::Dhcp4Parser::token::yytokentype

Backward compatibility alias (Bison 3.6).

Definition at line 744 of file dhcp4_parser.h.

## Member Enumeration Documentation

## ◆ token_kind_type

enum isc::dhcp::Dhcp4Parser::token::token_kind_type

Enumerator
TOKEN_PARSER4_EMPTY |
TOKEN_END |
TOKEN_PARSER4_error |
TOKEN_PARSER4_UNDEF |
TOKEN_COMMA |
TOKEN_COLON |
TOKEN_LSQUARE_BRACKET |
TOKEN_RSQUARE_BRACKET |
TOKEN_LCURLY_BRACKET |
TOKEN_RCURLY_BRACKET |
TOKEN_NULL_TYPE |
TOKEN_DHCP4 |
TOKEN_CONFIG_CONTROL |
TOKEN_CONFIG_DATABASES |
TOKEN_CONFIG_FETCH_WAIT_TIME |
TOKEN_INTERFACES_CONFIG |
TOKEN_INTERFACES |
TOKEN_DHCP_SOCKET_TYPE |
TOKEN_RAW |
TOKEN_UDP |
TOKEN_OUTBOUND_INTERFACE |
TOKEN_SAME_AS_INBOUND |
TOKEN_USE_ROUTING |
TOKEN_RE_DETECT |
TOKEN_SERVICE_SOCKETS_REQUIRE_ALL |
TOKEN_SERVICE_SOCKETS_RETRY_WAIT_TIME |
TOKEN_SERVICE_SOCKETS_MAX_RETRIES |
TOKEN_SANITY_CHECKS |
TOKEN_LEASE_CHECKS |
TOKEN_EXTENDED_INFO_CHECKS |
TOKEN_ECHO_CLIENT_ID |
TOKEN_MATCH_CLIENT_ID |
TOKEN_AUTHORITATIVE |
TOKEN_NEXT_SERVER |
TOKEN_SERVER_HOSTNAME |
TOKEN_BOOT_FILE_NAME |
TOKEN_OFFER_LFT |
TOKEN_STASH_AGENT_OPTIONS |
TOKEN_LEASE_DATABASE |
TOKEN_HOSTS_DATABASE |
TOKEN_HOSTS_DATABASES |
TOKEN_TYPE |
TOKEN_USER |
TOKEN_PASSWORD |
TOKEN_HOST |
TOKEN_PORT |
TOKEN_PERSIST |
TOKEN_LFC_INTERVAL |
TOKEN_READONLY |
TOKEN_CONNECT_TIMEOUT |
TOKEN_READ_TIMEOUT |
TOKEN_WRITE_TIMEOUT |
TOKEN_TCP_USER_TIMEOUT |
TOKEN_MAX_RECONNECT_TRIES |
TOKEN_RECONNECT_WAIT_TIME |
TOKEN_ON_FAIL |
TOKEN_STOP_RETRY_EXIT |
TOKEN_SERVE_RETRY_EXIT |
TOKEN_SERVE_RETRY_CONTINUE |
TOKEN_RETRY_ON_STARTUP |
TOKEN_MAX_ROW_ERRORS |
TOKEN_TRUST_ANCHOR |
TOKEN_CERT_FILE |
TOKEN_KEY_FILE |
TOKEN_SSL_MODE |
TOKEN_DISABLE |
TOKEN_PREFER |
TOKEN_REQUIRE |
TOKEN_VERIFY_CA |
TOKEN_VERIFY_FULL |
TOKEN_CIPHER_LIST |
TOKEN_VALID_LIFETIME |
TOKEN_MIN_VALID_LIFETIME |
TOKEN_MAX_VALID_LIFETIME |
TOKEN_RENEW_TIMER |
TOKEN_REBIND_TIMER |
TOKEN_CALCULATE_TEE_TIMES |
TOKEN_T1_PERCENT |
TOKEN_T2_PERCENT |
TOKEN_CACHE_THRESHOLD |
TOKEN_CACHE_MAX_AGE |
TOKEN_ADAPTIVE_LEASE_TIME_THRESHOLD |
TOKEN_DECLINE_PROBATION_PERIOD |
TOKEN_SERVER_TAG |
TOKEN_STATISTIC_DEFAULT_SAMPLE_COUNT |
TOKEN_STATISTIC_DEFAULT_SAMPLE_AGE |
TOKEN_DDNS_SEND_UPDATES |
TOKEN_DDNS_OVERRIDE_NO_UPDATE |
TOKEN_DDNS_OVERRIDE_CLIENT_UPDATE |
TOKEN_DDNS_REPLACE_CLIENT_NAME |
TOKEN_DDNS_GENERATED_PREFIX |
TOKEN_DDNS_QUALIFYING_SUFFIX |
TOKEN_DDNS_UPDATE_ON_RENEW |
TOKEN_DDNS_USE_CONFLICT_RESOLUTION |
TOKEN_DDNS_TTL_PERCENT |
TOKEN_DDNS_TTL |
TOKEN_DDNS_TTL_MIN |
TOKEN_DDNS_TTL_MAX |
TOKEN_STORE_EXTENDED_INFO |
TOKEN_SUBNET4 |
TOKEN_SUBNET_4O6_INTERFACE |
TOKEN_SUBNET_4O6_INTERFACE_ID |
TOKEN_SUBNET_4O6_SUBNET |
TOKEN_OPTION_DEF |
TOKEN_OPTION_DATA |
TOKEN_NAME |
TOKEN_DATA |
TOKEN_CODE |
TOKEN_SPACE |
TOKEN_CSV_FORMAT |
TOKEN_ALWAYS_SEND |
TOKEN_NEVER_SEND |
TOKEN_RECORD_TYPES |
TOKEN_ENCAPSULATE |
TOKEN_ARRAY |
TOKEN_PARKED_PACKET_LIMIT |
TOKEN_ALLOCATOR |
TOKEN_DDNS_CONFLICT_RESOLUTION_MODE |
TOKEN_CHECK_WITH_DHCID |
TOKEN_NO_CHECK_WITH_DHCID |
TOKEN_CHECK_EXISTS_WITH_DHCID |
TOKEN_NO_CHECK_WITHOUT_DHCID |
TOKEN_SHARED_NETWORKS |
TOKEN_POOLS |
TOKEN_POOL |
TOKEN_USER_CONTEXT |
TOKEN_COMMENT |
TOKEN_SUBNET |
TOKEN_INTERFACE |
TOKEN_ID |
TOKEN_RESERVATIONS_GLOBAL |
TOKEN_RESERVATIONS_IN_SUBNET |
TOKEN_RESERVATIONS_OUT_OF_POOL |
TOKEN_HOST_RESERVATION_IDENTIFIERS |
TOKEN_CLIENT_CLASSES |
TOKEN_REQUIRE_CLIENT_CLASSES |
TOKEN_EVALUATE_ADDITIONAL_CLASSES |
TOKEN_TEST |
TOKEN_TEMPLATE_TEST |
TOKEN_ONLY_IF_REQUIRED |
TOKEN_ONLY_IN_ADDITIONAL_LIST |
TOKEN_CLIENT_CLASS |
TOKEN_POOL_ID |
TOKEN_RESERVATIONS |
TOKEN_IP_ADDRESS |
TOKEN_DUID |
TOKEN_HW_ADDRESS |
TOKEN_CIRCUIT_ID |
TOKEN_CLIENT_ID |
TOKEN_HOSTNAME |
TOKEN_FLEX_ID |
TOKEN_RELAY |
TOKEN_IP_ADDRESSES |
TOKEN_HOOKS_LIBRARIES |
TOKEN_LIBRARY |
TOKEN_PARAMETERS |
TOKEN_EXPIRED_LEASES_PROCESSING |
TOKEN_RECLAIM_TIMER_WAIT_TIME |
TOKEN_FLUSH_RECLAIMED_TIMER_WAIT_TIME |
TOKEN_HOLD_RECLAIMED_TIME |
TOKEN_MAX_RECLAIM_LEASES |
TOKEN_MAX_RECLAIM_TIME |
TOKEN_UNWARNED_RECLAIM_CYCLES |
TOKEN_DHCP4O6_PORT |
TOKEN_DHCP_MULTI_THREADING |
TOKEN_ENABLE_MULTI_THREADING |
TOKEN_THREAD_POOL_SIZE |
TOKEN_PACKET_QUEUE_SIZE |
TOKEN_CONTROL_SOCKET |
TOKEN_CONTROL_SOCKETS |
TOKEN_SOCKET_TYPE |
TOKEN_UNIX |
TOKEN_HTTP |
TOKEN_HTTPS |
TOKEN_SOCKET_NAME |
TOKEN_SOCKET_ADDRESS |
TOKEN_SOCKET_PORT |
TOKEN_AUTHENTICATION |
TOKEN_BASIC |
TOKEN_REALM |
TOKEN_DIRECTORY |
TOKEN_CLIENTS |
TOKEN_USER_FILE |
TOKEN_PASSWORD_FILE |
TOKEN_CERT_REQUIRED |
TOKEN_HTTP_HEADERS |
TOKEN_VALUE |
TOKEN_DHCP_QUEUE_CONTROL |
TOKEN_ENABLE_QUEUE |
TOKEN_QUEUE_TYPE |
TOKEN_CAPACITY |
TOKEN_DHCP_DDNS |
TOKEN_ENABLE_UPDATES |
TOKEN_SERVER_IP |
TOKEN_SERVER_PORT |
TOKEN_SENDER_IP |
TOKEN_SENDER_PORT |
TOKEN_MAX_QUEUE_SIZE |
TOKEN_NCR_PROTOCOL |
TOKEN_NCR_FORMAT |
TOKEN_TCP |
TOKEN_JSON |
TOKEN_WHEN_PRESENT |
TOKEN_NEVER |
TOKEN_ALWAYS |
TOKEN_WHEN_NOT_PRESENT |
TOKEN_HOSTNAME_CHAR_SET |
TOKEN_HOSTNAME_CHAR_REPLACEMENT |
TOKEN_EARLY_GLOBAL_RESERVATIONS_LOOKUP |
TOKEN_IP_RESERVATIONS_UNIQUE |
TOKEN_RESERVATIONS_LOOKUP_FIRST |
TOKEN_LOGGERS |
TOKEN_OUTPUT_OPTIONS |
TOKEN_OUTPUT |
TOKEN_DEBUGLEVEL |
TOKEN_SEVERITY |
TOKEN_FLUSH |
TOKEN_MAXSIZE |
TOKEN_MAXVER |
TOKEN_PATTERN |
TOKEN_COMPATIBILITY |
TOKEN_LENIENT_OPTION_PARSING |
TOKEN_IGNORE_DHCP_SERVER_ID |
TOKEN_IGNORE_RAI_LINK_SEL |
TOKEN_EXCLUDE_FIRST_LAST_24 |
TOKEN_TOPLEVEL_JSON |
TOKEN_TOPLEVEL_DHCP4 |
TOKEN_SUB_DHCP4 |
TOKEN_SUB_INTERFACES4 |
TOKEN_SUB_SUBNET4 |
TOKEN_SUB_POOL4 |
TOKEN_SUB_RESERVATION |
TOKEN_SUB_OPTION_DEFS |
TOKEN_SUB_OPTION_DEF |
TOKEN_SUB_OPTION_DATA |
TOKEN_SUB_HOOKS_LIBRARY |
TOKEN_SUB_DHCP_DDNS |
TOKEN_SUB_CONFIG_CONTROL |
TOKEN_STRING |
TOKEN_INTEGER |
TOKEN_FLOAT |
TOKEN_BOOLEAN |

Definition at line 498 of file dhcp4_parser.h.

The documentation for this struct was generated from the following file:

- dhcp4_parser.h